Subject: Re: Why not mount / at C: ?
From: "David A. Cobb" <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Wed, 30 Aug 2000 10:25:20 -0400

[Earnie, sorry, I meant to post to the list]
Earnie Boyd wrote:
> 
> --- Jean-Paul Le Fevre <[email-masked]> wrote:
>>
>> It's likely a FAQ, but since I still don't understand :
>> Why is it discouraged to mount '/' at 'C:' ?
>> The installer gives advice not to mount / at this natural location,
>> while the FAQ *URGE* not to do so but without explanations.
>>
>> I've been using cygwin for years on NT, 98, 2K with '/' being 'C:' without
>> any problem. My Windows configuration is very similar to my Linux,
>> Solaris, Unix config and I feel very confortable : I've almost nothing
>> to change in my environment (variables, emacs, cvs, ssh, makefiles, ...)
>> when I have to move from Unix to Windows.
>>
>> At the beginning of August, I've installed a new release of Cygwin
>> accepting the default mount : '/' on 'c:/cygwin'. As a result my environment
>> is completely messed up ! I've to edit a lot of files to fix up the
>> settings, being not sure when to change '/' in '\\', '/' in 'C:/cywin' or
>> '//C/cywin', or 'C:\\cywin' or ....
>>
>> So, why is it considered as a bad choice to have '/' at 'C:' ?
>>
> 
> Using C:/cygwin is recommended because it gives identity to the package on your
> disk drive.  If you install to C:/ just means that you will have things
> installed to C:/ that you might not realize was a part of the Cygwin package.
> 
> As for / vs \\ vs //, the unmounted drive notation has been changes and the
> //C/ is being deprecated and should not be used.  Instead use /cygdrive/c/ to
> indicate an unmounted drive or better yet mount it like so:
>       mkdir /c
>       mount [-b] C:/ /c
> Then you can reference /c/somefile instead of /cygdrive/c/somefile or
> //C/somefile.
> 
> I'm beginning to think that it would be best to not support unmounted drives in
> the Cygwin environment.  It gets far to confusing and there are solutions
> around not having the support.  Saying this, IMO, we should deprecate the
> unmounted drives support.  What do you think?

+2 [Respondent expresses strong agreement, puts it on
    things-to-research list]

Based on my experience DO NOT install Cygwin at root!!  This should
not just be "discouraged" because in some situations [MINE!] it just
don't work.  I'll describe more below after I've finished the thread.

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man, 
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French,
tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]